summaryrefslogtreecommitdiff
path: root/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples
diff options
context:
space:
mode:
Diffstat (limited to 'vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples')
-rwxr-xr-xvendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples18
1 files changed, 18 insertions, 0 deletions
diff --git a/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples
new file mode 100755
index 0000000..a722ab3
--- /dev/null
+++ b/vendor/bundle/ruby/3.4.0/gems/mercenary-0.4.0/script/examples
@@ -0,0 +1,18 @@
+#! /bin/bash
+
+set -e
+
+function run () {
+ echo "+ ruby ./examples/$@"
+ ruby -e "puts '=' * 79"
+ ruby ./examples/$@
+ ruby -e "puts '=' * 79"
+}
+
+run logging.rb
+run logging.rb -v
+run help_dialogue.rb -h
+run help_dialogue.rb some_subcommand -h
+run help_dialogue.rb another_subcommand -h
+run help_dialogue.rb some_subcommand yet_another_sub -h
+run help_dialogue.rb some_subcommand yet_another_sub -b